Ask Your Question
1

Isnt there a Puppet version for Ubuntu 10.04 and architecture i686

asked 2014-07-14 05:10:20 -0500

thampi_lakshmi gravatar image

Trying to install Puppet on Ubuntu version 10.04 and with architecture i686, couldnt find the version on the Puppet site. Which other version would be compatible for this configuration?

edit retag flag offensive close merge delete

3 Answers

Sort by ยป oldest newest most voted
0

answered 2014-07-16 02:14:37 -0500

thampi_lakshmi gravatar image

updated 2014-07-16 17:03:03 -0500

ramindk gravatar image

Thank you both for the answers In addition to it, could find the installation process

edit flag offensive delete link more
0

answered 2014-07-14 13:08:48 -0500

ramindk gravatar image

updated 2014-07-14 13:09:29 -0500

Puppet is distributed as Ruby code. There aren't any arch specific packages.

http://apt.puppetlabs.com/pool/lucid/...

edit flag offensive delete link more
0

answered 2014-07-14 11:57:27 -0500

spuder gravatar image

updated 2014-07-14 16:07:25 -0500

For Ubuntu 10.04 you can use this repository

http://docs.puppetlabs.com/guides/install_puppet/install_debian_ubuntu.html

Searching the url, it looks like they provide the following architectures for ubuntu 10.04:

https://apt.puppetlabs.com/dists/luci...

  • amd64
  • armel
  • armhf
  • i386
  • mips
  • mipsel
  • powerpc
  • sparc

If none of these are synonymous with i686, then you likely will need to compile from source, or try installing via rubygems.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2014-07-14 05:10:20 -0500

Seen: 142 times

Last updated: Jul 16 '14